Apple Computer Inc. Information for VU#383779

ZIP archives containing files with large filenames can cause buffer overflows

Status

Affected

Vendor Statement

Apple: Apple has determined that versions 6.5.2 and earlier of the Stuffit Expander utility contain the vulnerability described in this notice. Stuffit Expander is provided by Aladdin Systems and is packaged with Mac OS X.

Version 7.0 of Stuffit Expander does not contain this vulnerability, and is available as a free download from the Aladdin Systems web site at: http://www.stuffit.com/expander/cert.html

Customers should download version 7.0 of Stuffit Expander, and remove any earlier versions of Stuffit Expander from their system.

Apple has verified that other decompression utilities packaged with Mac OS X do not contain the vulnerability described in this notice.

Vendor Information

The vendor has not provided us with any further information regarding this vulnerability.

Vendor References

None

Addendum

The CERT/CC has no additional comments at this time.

If you have feedback, comments, or additional information about this vulnerability, please send us email.